To follow along with this book, you’ll need the following:

  • The Unity Hub: The latest version will work. At the time of writing, this was version 3.0.0.

  • The Unity Editor: Choose to install the latest 2020.3.x LTS Release. All the sample projects will work with this version.

  • Any Code Editor or IDE: Ideally, this should be able to understand and format C#. Since C# was originally written by Microsoft, a good choice would be Visual Studio Community (if you’re using Windows) or Visual Studio Code (if you’re using macOS or Linux). But, you can use whatever editor you’re most comfortable with if you prefer!

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

© 2022 Razeware LLC